
# Class: EventCallbacks

## Hierarchy

* **EventCallbacks**

## Implements

* [IEventCallbacks](../interfaces/ieventcallbacks.md)

## Index

### Constructors

* [constructor](eventcallbacks.md#constructor)

### Methods

* [onError](eventcallbacks.md#onerror)
* [onSuccess](eventcallbacks.md#onsuccess)

## Constructors

###  constructor

\+ **new EventCallbacks**(`eventCallbacks?`: [IEventCallbacks](../interfaces/ieventcallbacks.md)): *[EventCallbacks](eventcallbacks.md)*

**Parameters:**

Name | Type |
------ | ------ |
`eventCallbacks?` | [IEventCallbacks](../interfaces/ieventcallbacks.md) |

**Returns:** *[EventCallbacks](eventcallbacks.md)*

## Methods

###  onError

▸ **onError**(`err`: any): *any*

**Parameters:**

Name | Type |
------ | ------ |
`err` | any |

**Returns:** *any*

___

###  onSuccess

▸ **onSuccess**(`results`: any): *any*

**Parameters:**

Name | Type |
------ | ------ |
`results` | any |

**Returns:** *any*
